#ifndef _nc2mat_h_
#define _nc2mat_h_

#include "nc.h"

int buf_args(char *buf, int (*optfunc)(int, char **));
long nc_get_rank(char* nasi);

#define FILELINE fprintf(stderr, "error:  in %s at line %d\n", __FILE__, __LINE__ ), \
fflush( stderr )

#ifdef use_mymx
/* use the override the matlab mex functions with mine for debugging purposes.
   I think there is a more appealing way to debug a mex function, but I have
   never figured out how to do it.
   */
#define Matrix myMatrix
#define mxGetPr mymxGetPr
#define mxGetM mymxGetM
#define mxGetN mymxGetN
#define mxCreateFull mymxCreateFull
#define mxIsString mymxIsString
#define mxSetString mymxSetString

typedef struct s_myMatrix 
{
    double* pr;
    long m;
    long n;
    int isstr;
} myMatrix;

double* mymxGetPr( const myMatrix* pm );
long mymxGetM( const myMatrix* pm );
long mymxGetN( const myMatrix* pm );
myMatrix* mymxCreateFull( long m, long n, int cmplx_flg );
int mymxIsString( const myMatrix* pm );
void mymxSetString( myMatrix* pm );
#endif

Matrix* ncmat_get_matrix( const char* fan, const char* units ) ;
long ncmat_put_matrix( const char* fan, const char* units, Matrix* mat ) ;
char* ncmat_d2str( const double* pr, long len );
char* ncmat_mat2str( const Matrix* pm );

#endif
